package nl.uglyduckling.hello.pages;

import java.util.Date;

import org.apache.tapestry5.StreamResponse;
import org.apache.tapestry5.SymbolConstants;
import org.apache.tapestry5.annotations.Property;
import org.apache.tapestry5.ioc.annotations.Inject;
import org.apache.tapestry5.ioc.annotations.Symbol;
import org.apache.tapestry5.json.JSONObject;
import org.apache.tapestry5.util.TextStreamResponse;

public class Api {

	@Property
	@Inject
	@Symbol(SymbolConstants.TAPESTRY_VERSION)
	private String tapestryVersion;

	StreamResponse onActivate(String userName) 
	{
		JSONObject json = getResult(userName);

		return new TextStreamResponse("application/json", json.toCompactString()); 
	}

	private JSONObject getResult(String userName) {
		JSONObject json = new JSONObject();

		json.put("result", "Hello " + userName);
		json.put("version", tapestryVersion);
		json.put("timestamp", new Date().toString());
		return json;
	}
}


